Last Comment Bug 756195 - registry db needs a builtin flag
: registry db needs a builtin flag
Status: RESOLVED FIXED
[needs-test]
:
Product: Firefox
Classification: Client Software
Component: SocialAPI (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Shane Caraveo (:mixedpuppy)
:
: Shane Caraveo (:mixedpuppy)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-17 12:04 PDT by Shane Caraveo (:mixedpuppy)
Modified: 2012-05-24 12:39 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Shane Caraveo (:mixedpuppy) 2012-05-17 12:04:11 PDT
We may distribute builtin providers which would be added to the registry db at startup.  If later, a provider site makes their own implementation, their implementation should override ours.
Comment 1 Shane Caraveo (:mixedpuppy) 2012-05-21 14:19:55 PDT
pushed a fix for this in change https://github.com/mozilla/socialapi-dev/commit/3a731bfad4e4a861b17be5e3e0048f6e480dc143

While I did not add a flag, I do now store the manifest file location in the db, which will be used with bug 756590 in addition to serving as our builtin flag.
Comment 2 Shane Caraveo (:mixedpuppy) 2012-05-24 12:39:52 PDT
tests for manifest overwriting have been pushed.

Note You need to log in before you can comment on or make changes to this bug.